Subject: RE: Terminals and consoles
From: [email-masked] (Sergey Okhapkin)

3 Feb 1997 03:54:07 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: gnu-win32 <[email-masked]>,
        "'Michiel van Wessem'"
	 <[email-masked]>
Encoding: 28 TEXT
Original-Sender: [email-masked]

Michiel van Wessem wrote:
> Hello,
> 
> I'm not up to date on the latest state of terminal emulation in gnu-win32 -
> I haven't tried it out, but I'm a little concerned about the compatibility
> of it. Here are some obnoxious questions..
> 
> How does it work? Is the entire terminfo (and termcap) stuff operational?

Console handler in cygwin.dll emulates most of ANSI escape sequences.

> Is it possible yet to port a telnet daemon and it would support all of the
> terminfo terminals?

You cannot port telnetd due to no pty support in cygwin.dll.

> 
> How good is the terminal emulation for the standard console? What terminfo
> entry is it - ansi? Does curses work, do function keys work? 

Yes. 

-- 
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".